#ifndef WEEKLYFORM_H
#define WEEKLYFORM_H

void WeeklyFormChangeDate(Int deltaDays);
void WeeklyFormEraseWeek(void);
void WeeklyFormGotoEarliestWeek(void);
void WeeklyFormGotoLatestWeek(void);
void WeeklyFormTableDrawCell(VoidPtr tablePtr, Word row, Word column, RectanglePtr bounds);
void WeeklyFormTableDraw(void);
Boolean WeeklyFormEventHandler(EventPtr event);
void WeeklyFormUpdateWeek(void);
void WeeklyFormInit(void);
void WeeklyFormTableScroll(Byte dir);
void WeeklyFormScrollButtonUpdate(FormPtr formPtr);

/*** General date utility functions taken from the Palm Computing Datebook source ***/
ULong FirstDayOfYear(Word year);
Word GetWeekNumber(Word month, Word day, Word year);

#endif /*** WEEKLYFORM_H ***/

/*** End of file ***/